Reference
Connections
List Connections
Query Parameters
q?|
Search by name or slug
provider?array<>|
status?array<>|
sort_by?string
Sortable fields for connection list.
Default
"name"Value in
"name" | "created_at" | "updated_at" | "last_verified_at" | "status" | "provider"order?string
Sort direction for pagination.
Default
"asc"Value in
"asc" | "desc"limit?integer
Default
50Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valuecursor?|
Cursor for pagination (if provided, uses cursor mode)
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections"{
"connections": [
{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationError": "string"
}
],
"hasNext": true,
"limit": 0,
"offset": 0,
"total": 0,
"users": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Connection
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
config?|
credentials*
name*string
Length
1 <= length <= 255provider*string
Supported external system providers.
Value in
"shopify" | "s3" | "google_drive" | "klaviyo" | "amazon_sp" | "sqlserver"slug?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections" \ -H "Content-Type: application/json" \ -d '{ "credentials": { "property1": "string", "property2": "string" }, "name": "string", "provider": "shopify" }'{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationError": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Connection By Slug
Path Parameters
slug*string
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/slug/string"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationError": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Connection
Path Parameters
connection_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationError": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Connection
Path Parameters
connection_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
config?|
credentials?|
name?|
slug?|
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationError": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Connection
Path Parameters
connection_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Disable Connection
Path Parameters
connection_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/disable"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationError": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Files
Path Parameters
connection_id*string
Format
uuidQuery Parameters
path?string
Path or folder ID
Default
"/"page_token?|
Next page token
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/files"{
"items": [
{
"id": "string",
"kind": "file",
"mimeType": "string",
"modifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"size": 0
}
],
"nextPageToken": "string",
"path": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Validate File Selection
Path Parameters
connection_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
rootPath?|
selectedItems*array<>
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/files/validate" \ -H "Content-Type: application/json" \ -d '{ "selectedItems": [ "string" ] }'{
"maxDepth": 0,
"totalBytes": 0,
"totalItems": 0,
"valid": true,
"violations": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Reactivate Connection
Path Parameters
connection_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/reactivate"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationError": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Schema Columns
Path Parameters
connection_id*string
Format
uuidQuery Parameters
schema*string
table*string
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema/columns?schema=string&table=string"{
"columns": [
{
"dataType": "string",
"name": "string",
"nullable": true
}
],
"schema": "string",
"table": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Schema Tables
Path Parameters
connection_id*string
Format
uuidQuery Parameters
include_system?boolean
Include system schemas
Default
falseHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema/tables"{
"tables": [
{
"schema": "string",
"spec": "string",
"table": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Set Default Connection
Path Parameters
connection_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/set-default"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationError": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Verify Connection
Path Parameters
connection_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/verify"{
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"hasCredentials": true,
"id": "string",
"isDefault": true,
"isFromTemplate": true,
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastVerifiedAt": "2019-08-24T14:15:22Z",
"name": "string",
"provider": "string",
"slug": "string",
"status": "needs_verification",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "string",
"verificationError": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}